
// Persistence of Vision Ray Tracer Scene Description File
// File: mg_tz02.inc
// Vers: 3.5
// Desc: include file for tzolkin
// Date: started may,07 2003
// Auth: marjorie
#include "mg_tz03.inc"
#include "mg_tz04.inc"              
//modificada = Gray40 en vez de Gray30
#declare fantasma2 = texture {
  pigment {
    granite 
    color_map {
      [0.33  Gray40 filter 0.4 transmit 0.5]//filter 0.3 transmit 0.2             
      [0.66 color Clear]
      [1.00  Gray40 filter 0.3 transmit 0.4] //filter 0.1 transmit 0.3
    }
  }
  normal {
    granite 0.3
  }
  finish {
    ambient 0//0.4 
    diffuse 0.3 
  }
}

#declare fantasma3 = texture {
  pigment {
    granite 
    color_map {
      [0.33  Gray40 filter 0.4 transmit 0.5]//filter 0.3 transmit 0.2             
      [0.66 color Clear]
      [1.00  Gray40 filter 0.3 transmit 0.4] //filter 0.1 transmit 0.3
    }
  }
  normal {
    granite 0.8//0.3
  }
  finish {
    ambient 0.01 diffuse 0.4   //ambient 0.4 diffuse 0.3 
  }
}

#declare skin3=
texture{
  pigment{
    crackle
    color_map{
      [0.5 Flesh]
       
                 
      [1.0 NewTan]
        
     }
  }
  normal{
    crackle 0.100
    scale 0.05
  }
  finish{
    Phong_Dull
  }
}
#declare skin4=
texture{
  pigment{
    crackle
    color_map{
      [0.5 Flesh]
       
                 
      [1.0 NewTan]
        
     }
  }
  normal{
    crackle 0.5
    scale 0.05
  }
  finish{
    Phong_Dull
  }
}

#declare Turquesa = 
color_map {
    [0.0  Marfil]//agua] //[0.0  agua]
    [0.01 Guayaba]
    [0.03 Marfil]  //[0.03 agua]
    [0.3  Carton] //[0.3  agua2]
    [1.0  Marfil]  //[1.0  lapislazuli]
}

//modificado de textures.inc via color_map
// Deep blue agate -- almost glows.
#declare Turquesa = 
pigment { 
    agate
    color_map { Turquesa }
}


//de textures.inc
#declare Metal_mod =
finish {
    metallic
    ambient 0.0//0.2
    diffuse 0.6//0.7
    brilliance 1//2//3//6
    reflection 0.05//0.25
    phong 0.13//0.25//0.35//0.75
    phong_size 13//20//45//80
}

/*normal{
    crackle 0.5
    scale 0.05*/ 
    
    
#declare tz_ft_tex=
texture {
pigment{Turquesa}
normal{norm_geo}//normal{ crackle 0.5 turbulence 0.5 scale 0.05}
finish{Metal_mod} //Metal

}    





#declare por_fuera=

texture {
   pigment{
      image_map {
         tga "muro_lad.tga" 
         map_type 0        
         interpolate 2     
      }
   }
   normal {
      bump_map { 
      tga "muro_lad_bump.tga" 
      map_type 0        
      interpolate 2     
      bump_size 3     
      } 
   }

   finish {
      ambient 0.01//0.6 
      diffuse 0.6
   }
}




#declare escaleras=
texture {
   pigment{
      image_map {
         tga "stairs.tga" 
         map_type 0        
         interpolate 2     
      }
   }
   normal {
      bump_map { 
      tga "stairs_bump.tga" 
      map_type 0        
      interpolate 2     
      bump_size 3     
      } 
   }

   finish {
      ambient 0.01//0.4 
      diffuse 0.6
   }
}


#declare cresta=
texture {
   pigment{
      image_map {
      tga "placa.tga" 
      map_type 0        
      interpolate 2     
      }
   }
   normal {
      bump_map { 
      tga "placa.tga" 
      map_type 0        
      interpolate 2     
      bump_size 1.5     
   } 
}

   finish {
      ambient 0.01//0.3 
      diffuse 0.4
      }
}

//glifo 
//ojo escala box

#declare glifo=

box {
  <0, 0, 0>  < 1,  1,  -0.25> 
  pigment{
        image_map {
                tga "glifo_01.tga" 
                map_type 0        
                interpolate 2     
                once           
  
        } 
 }
 scale <2,3,2>

 translate 3*y
}

#declare plano_01=
height_field {
  tga               // 
  "ridges02dem.tga"     // 
smooth        // 


translate <-0.5, 0, -0.5>
scale <100,80,100>//
 rotate 99*y

}
//camineria
#declare plano_04=
height_field {
  tga               // 
  "via.dem.tga"     // 
smooth        // 
water_level 0.000001
pigment {Turquoise}//
translate <-0.5, 0, -0.5>
scale <100,90,100>//
 rotate 1*x
 

}

//vegetacion                    
#declare selva_atras=
height_field {
  tga               // 
  "selva.dem.tga"     // 
smooth        // 

translate <-0.5, 0, -0.5>
scale <30,100,30>//<50,25,50>  //
rotate 180*y

} 



//tzolkin
#declare tzol_05_13=
box {
  <0, 0, 0>  // 
  < 1,  1,  -0.25>  // 

pigment{// 
image_map {
  tga "tzol_05_13seq.tga" //
  map_type 0        // 
  interpolate 2     // 
  
} // 
}


normal{
bump_map { // 
  tga "tzol_05_13bump.tga" // 
  map_type 0        // 
  interpolate 2     // 
  
  bump_size 3     // 
} //
}


}

//tzolkin de enfrente

#include "golds.inc"


#declare tz_wheel=
union{
height_field {
  tga               // 
  "tz_wheel_hf01.tga"     // 

smooth        // 
water_level 0.001
texture { tz_ft_tex }//
translate <-0.5, 0, -0.5>       
scale <5,0.25,5>
}

height_field {
  tga               // 
  "tz_wheel_hf02.tga"     // 

smooth        // 
water_level 0.001
texture { tz_ft_tex }//
translate <-0.5, 0, -0.5>
scale <2.5,0.25,2.5>
}
}


#declare tzol_ft=
union{
box {
  <0, 0, 0>  // 
  < 1,  1,  -0.25> 
  texture { tz_ft_tex }//
  texture {pigment{Clear} normal {granite 0.75 scale 0.30} translate 0.001*y}
  scale <2.1,4.25,0.25>
  
  }

object{tz_wheel 
scale 0.40
rotate 90*x
translate <1.1,2.50,-0.17>
}

}





//pared de tzolkin

#declare pilastras=
union{
box {
  <0, 0, 0>  // 
  < 1,  1,  -0.25>  // 
  pigment{Red}
  scale <2.1,4.25,0.25>
rotate 102*y 
translate -3.9*x
translate 1*y
translate -36.5*z
  
  }

//pared lateral de tzolkin
box {
  <0, 0, 2>  // 
  < 1,  1,  -0.25>  // 
  pigment{Green}
  scale <2.1,4.25,0.25>
rotate 102*y 
translate -3.85*x
translate 1*y
translate -36.5*z
  
  }
  
//pared lateral enfrente de  tzolkin
box {
  <0, 0, -11.6>  // 
  < 1,  1,  -33.25>  // 
  pigment{Green}
  scale <2.1,4.25,0.25>
rotate 102*y 
translate -3.85*x
translate 1*y
translate -36.5*z
  
  }  
  
  
  
  
box {
  <0, 0, 0>  // 
  < 1,  1,  -0.25>  // 
  pigment{Red}
  scale <2.1,4.25,0.25>
rotate 102*y 
translate -6.6*x
translate 1*y
translate -36.5*z
  
  }
  
}  
  
  
//arriba

#declare bloque_superior=
  
box {
  <0, -9.90, -3>  // 
  < 1,  1,  3>  // 
  //pigment{Yellow}
  scale <2.1,4.25,3>
rotate 102*y 
translate -3.9*x
translate 5.25*y
translate -36.5*z
  
  }
  
  

#declare bloque_saledizo=  
union{

box {
  <-1, -10, 0>  //
  < 1.5,  1,  1>  // 
//pigment {Blue}
scale <2.5,1,2.7>  //
rotate 102*y
translate -6.9*x 
translate 5*y
translate -36.5*z
}

box {
  <-1, 0, 0>  // one corner position <X1 Y1 Z1>
  < 1.5,  1,  1>  // 
scale <2.5,1,2.2>  //
rotate 102*y
translate -6.6*x 
translate 5.6*y
translate -36.5*z
}

box {
  <-1, 0, 0>  // 
  < 1.5,  1,  1>  // 
//pigment {Blue}
scale <2.5,1,1.7>  //
rotate 102*y
translate -6.3*x 
translate 6.2*y
translate -36.5*z
}

box {
  <-1, 0, 0>  // one corner position <X1 Y1 Z1>
  < 1.5,  1,  1>  // other corner position <X2 Y2 Z2>
//pigment {Blue}
scale <2.5,1,1.2>  //<2.1,4.25,2.7>
rotate 102*y
translate -6.0*x 
translate 6.8*y
translate -36.5*z
}

box {
  <-1, 0, 0>  // 
  < 1.5,  1,  1>  // 
//pigment {Blue}
scale <2.5,1,0.7>  //
rotate 102*y
translate -5.7*x 
translate 7.4*y
translate -36.5*z
}
}
 //OJO
#declare boveda_salediza=

//union{
//object{pilastras}

difference{
object{bloque_superior}
object {bloque_saledizo}
}
    
//}